<template>
  <div v-loading="isGameLoading">
    <div class="component-container">
      <div
        v-for="game in gameEntrySelected[0].Category === 2
          ? customizeObjectCasinos
          : gameEntrySelected"
        :key="game"
      >
        <nuxt-link
          v-if="game.CategoryName !== 'LIVE_CASINO'"
          :to="authenticated ? `/Game/${game.GameId}` : '/login'"
        >
          <div class="relative item-container w-[90%] h-full">
            <div class="item-body bg-background1">
              <img
                class="object-contain w-[85%] h-full"
                :src="game.GameIconUrl"
                :alt="game.GameName"
              />
            </div>
            <div class="flex flex-col pt-5 item-footer">
              <span v-if="game.IsMaintain">{{ $t("maintaince") }}</span>
              <span v-else class="pb-2 text-sm text-white">{{
                game.GameName
              }}</span>
              <nuxt-link
                class="btn --primary"
                :to="authenticated ? `/Game/${game.GameId}` : '/login'"
              >
                <b class="block px-4 text-[13px] font-thin text-white">{{
                  $t("play_now")
                }}</b>
              </nuxt-link>
            </div>
          </div>
        </nuxt-link>
        <div v-if="game.CategoryName === 'LIVE_CASINO'">
          <div
            v-if="authenticated"
            @click="handleGameEntryOpenWindow(game, 850, 850)"
          >
            <div
              class="relative flex flex-col justify-between item-container-live-casino"
            >
              <div class="overflow-hidden item-body-live-casino bg-background1">
                <img
                  class="object-contain w-auto h-auto"
                  :src="game.GameIconUrl"
                  :alt="game.GameName"
                />
              </div>
              <div class="flex flex-col mb-4 item-footer">
                <span v-if="game.IsMaintain">{{ $t("maintaince") }}</span>
                <span v-else class="pb-3 text-sm text-white">{{
                  game.GameName
                }}</span>
                <nuxt-link class="btn --primary" to="#">
                  <b class="block px-4 text-[13px] font-thin text-white">{{
                    $t("play_now")
                  }}</b>
                </nuxt-link>
              </div>
            </div>
          </div>
          <nuxt-link to="/login" v-else>
            <div
              class="relative flex flex-col justify-between item-container-live-casino"
            >
              <div class="overflow-hidden item-body-live-casino bg-background1">
                <img
                  class="object-contain w-auto h-auto"
                  :src="game.GameIconUrl"
                  :alt="game.GameName"
                />
              </div>
              <div class="flex flex-col mb-4 item-footer">
                <span v-if="game.IsMaintain">{{ $t("maintaince") }}</span>
                <span v-else class="pb-3 text-sm text-white">{{
                  game.GameName
                }}</span>
                <nuxt-link class="btn --primary" to="/login">
                  <b class="block px-4 text-[13px] font-thin text-white">{{
                    $t("play_now")
                  }}</b>
                </nuxt-link>
              </div>
            </div>
          </nuxt-link>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, computed } from "vue";

import { store } from "@/store";
import {
  handleGameEntryOpenWindow,
  useGameEntryBaseOnTabSelected,
} from "@/composables/useTheme";

export default defineComponent({
  name: "GameListEntryComponent",
  setup() {
    const authenticated = computed(() => store.state.auth);
    const isGameLoading = computed(() => store.state.isGameUpdateLoading);
    const { gameEntrySelected, customizeObjectCasinos } =
      useGameEntryBaseOnTabSelected();
    return {
      authenticated,
      isGameLoading,
      gameEntrySelected,
      customizeObjectCasinos,
      handleGameEntryOpenWindow,
    };
  },
});
</script>
<style lang="postcss" scoped>
.component-container {
  @apply px-[5.5px] pt-6 pb-20 grid grid-cols-2 gap-0;
}
.item-container {
  @apply ml-3 min-h-[165px] flex flex-col overflow-hidden rounded-lg;
  background: var(--background1);
}
.item-container-live-casino {
  @apply mx-[10.5px] min-h-[284px] mb-5 flex flex-col overflow-hidden rounded-lg;
  background: var(--background1);
}
.item-body {
  @apply w-full min-h-[90px] flex items-start justify-center;
}
.item-body-live-casino {
  @apply w-full h-[208px] flex items-start justify-center;
}
.item-body-inner {
  @apply w-full flex items-center justify-center h-full;
  background: rgba(0, 0, 0, 0.5);
}
.item-footer {
  @apply w-full h-[47px] flex justify-center items-center text-xs;
}
.btn {
  @apply inline-block text-center rounded-2xl py-[.2775rem] transition-colors duration-300;
}
</style>
